数据提供商: Keepa
按类别或产品组查看 Amazon 畅销商品
$0.071973 / 次调用在 25 秒内响应
获取在Amazon的某个类别或产品组中按销量排名的ASIN编号。可以选择当前排名、30天/90天/180天的平均排名、上一个日历月份的排名,或者某个子类别的排名。根类别及产品组最多可返回500,000个ASIN编号;子类别最多可返回10,000个ASIN编号。列表可能缓存一小时。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Keepa endpoint /bestsellers on Glasser.bash
glasser run -p keepa -e '/bestsellers' -i '{"domain":1,"category":281052}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"keepa","endpoint":"/bestsellers","input":{"domain":1,"category":281052},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
为商品或主题选择分类时,可以审阅可用选项,找到最接近的分类。
复制此提示词到你的 Agent,为商品或主题查找分类。
提示词
Use keepa:/bestsellers on Glasser.
Find the category that best matches my product or topic in the returned list.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"domain",
"category"
],
"properties": {
"year": {
"type": "integer",
"maximum": 9999,
"minimum": 2000
},
"month": {
"type": "integer",
"maximum": 12,
"minimum": 1
},
"range": {
"enum": [
0,
30,
90,
180
],
"type": "number"
},
"domain": {
"enum": [
1,
2,
3,
4,
5,
6,
8,
9,
10,
11
],
"type": "number"
},
"sublist": {
"enum": [
0,
1
],
"type": "number"
},
"category": {
"anyOf": [
{
"type": "integer",
"maximum": 9007199254740991,
"minimum": 1
},
{
"type": "string",
"maxLength": 1000,
"minLength": 1
}
]
},
"variations": {
"enum": [
0,
1
],
"type": "number"
}
},
"additionalProperties": false
}json
{
"domain": 1,
"category": 281052
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.071973 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |